gnutls_x509_crt_set_pin_function(3)

NAME
gnutls_x509_crt_set_pin_function - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_x509_crt_set_pin_function(gnutls_x509_crt_t crt, gnutls_pin_callback_t fn, void * userdata);

ARGUMENTS

gnutls_x509_crt_t crt
    The certificate structure

gnutls_pin_callback_t fn
    the callback

void * userdata
    data associated with the callback

DESCRIPTION
This function will set a callback function to be used when it is required to access a protected object. This function overrides the global function set using gnutls_pkcs11_set_pin_function(). Note that this callback is currently used only during the import of a PKCS 11 certificate with gnutls_x509_crt_import_url().

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/